## NAME

v.cadlabel - Attaches labels to (binary) vector contour lines that have been imported to GRASS from DXF format.
(GRASS Vector Program)

## SYNOPSIS

v.cadlabel
v.cadlabel help
v.cadlabel lines=name labels=name

## DESCRIPTION

v.cadlabel attaches labels to index contour lines by using the index contour lines and lables files that have been converted from DXF format to GRASS vector format by the v.in.dxf program. Users have the option of creating either binary or ASCII output with v.in.dxf. Since v.cadlabel works only on binary vector files, the ASCII GRASS vector (`dig_ascii`) files that are generated by v.in.dxf must be converted to binary GRASS vector (`dig`) files using the v.in.ascii program before v.cadlabel can be executed.

v.cadlabel searches a binary GRASS vector file of contour lines to find the contour lines that are closest to each box (contour label) in the binary GRASS vector file containing contour labels. The two contour lines that are closest to a box are tagged with the same label (an elevation value) as that of the box.

## OPTIONS

Program parameters are described below.

### Parameters:

lines=name
  Name of the binary GRASS vector (`dig`) file, imported from DXF format, that contains index contour lines.
labels=name
  Name of the binary GRASS vector (`dig_att`) file, imported from DXF format, that contains index contour line labels.

## NOTES

Because line data that are created in CAD format may have unsnapped nodes or gaps, v.cadlabel will not always be able to label every index contour line. Also, intermediate contour lines that may be contained in the index contour vector file (because they resided on the same DXF level as the index contour lines in the DXF design file) will not be labeled. Any lines that are not labeled with v.cadlabel can be labeled with the contour labeling program in v.digit.

If the intermediate contour lines are in a separate GRASS `dig` file, they can be patched to an labeled index contour file with the GRASS program v.patch, and then labeled in v.digit.

The user does not need to v.patch the labels vector file (boxes) to the lines vector file (contour lines). The purpose of the labels vector file is to determine which labels should be assigned to which contour lines (in the lines vector file) during the execution of v.cadlabel.

## SEE ALSO

v.digit
v.in.ascii
v.in.dxf
v.out.dxf
v.patch
dxfout (Microstation tool)

## AUTHOR

Dave Gerdes, U.S.Army Construction Engineering Research Laboratory

Last changed: $Date: 2002/01/25 05:45:35 $